package com.jubotech.business.web.controller.user;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.jubotech.business.web.domain.MessageTag;
import com.jubotech.business.web.domain.query.MessageTagQuery;
import com.jubotech.business.web.service.MessageTagService;
import com.jubotech.framework.common.ResultInfo;

@Controller
@CrossOrigin
@RequestMapping("/user/messageTag")
public class MessageTagController {

	@Autowired
	private MessageTagService service;

	@PostMapping("/query")
	@ResponseBody
	public ResultInfo pageList(MessageTagQuery query) {
		return ResultInfo.success(service.query(query));
	}

	@PostMapping("/add")
	@ResponseBody
	public ResultInfo add(MessageTag info) {
		return service.insert(info);
	}

}
