package com.jubotech.business.web.dao;

import com.jubotech.business.web.domain.WxContactInfo;
import com.jubotech.business.web.domain.vo.FriendVo;
import com.jubotech.business.web.query.WeChatContactQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.common.MySqlMapper;

import java.util.Date;
import java.util.List;

@Repository
public interface WxContactDao extends Mapper<WxContactInfo>, MySqlMapper<WxContactInfo>{

	List<WxContactInfo> pageList(WeChatContactQuery query);
	
	WxContactInfo findContactinfoByid(@Param("id") Integer id);
	
	WxContactInfo findContactinfoByfriendid(@Param("cid") Integer cid,@Param("wechatid") String wechatid ,@Param("friendid") String friendid);

	WxContactInfo findContactinfoByWechatidFriendid(@Param("wechatid") String wechatid ,@Param("friendid") String friendid);
	
	List<WxContactInfo> findContactinfoByWeChatId(@Param("cid") Integer cid,@Param("wechatid") String wechatid);
	
	Integer findContactinfoByCidType(@Param("cid") Integer cid,@Param("type") Integer type);
	
	Integer findContactinfoByCidTypeDistWechatId(@Param("cid") Integer cid,@Param("type") Integer type);
	
	Integer queryFriendAddCount(@Param("wechatid") String wechatid,@Param("start")  Date start, @Param("end") Date end);
	
	List<FriendVo> queryTongji(@Param("cid") Integer cid,@Param("list")List<String> list);
	
	int insert(WxContactInfo info);

	void update(WxContactInfo info);

	int delete(WxContactInfo info);
}
