package com.jubotech.business.web.service;

import java.util.Date;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jubotech.business.web.dao.LabelChatRoomDao;
import com.jubotech.business.web.domain.LabelChatRoom;
import com.jubotech.framework.common.ResultInfo;

@Service
@Transactional // 支持事务
public class LabelChatRoomService {

	@Resource
	private LabelChatRoomDao labelChatRoomDao;
  
	public LabelChatRoom queryByWechatidLabelidChatroomid(String wechatid,String labelid,String chatroomid) {
		LabelChatRoom user = labelChatRoomDao.queryByWechatidLabelidChatroomid(wechatid, labelid, chatroomid);
		return user;
	}
	
	
	public LabelChatRoom queryByRemark(String remark) {
		LabelChatRoom user = labelChatRoomDao.queryByRemark(remark);
		return user;
	}

	public ResultInfo insert(LabelChatRoom info) {
		ResultInfo res = new ResultInfo();
		try {
			info.setCreateTime(new Date());
			labelChatRoomDao.insert(info);
		} catch (Exception e) {
			e.printStackTrace();
			return ResultInfo.fail("添加失败");
		}
		return res;
	}

	public ResultInfo update(LabelChatRoom info) {
		ResultInfo res = new ResultInfo();
		try {
			info.setCreateTime(new Date());
			labelChatRoomDao.updateByPrimaryKey(info);
		} catch (Exception e) {
			e.printStackTrace();
			return ResultInfo.fail("修改失败");
		}
		return res;
	}

  

}
