package com.jubotech.business.web.service;

import java.util.Date;
import java.util.List;

import javax.annotation.Resource;

import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jubotech.business.web.dao.MessageTagDao;
import com.jubotech.business.web.domain.MessageTag;
import com.jubotech.business.web.domain.query.MessageTagQuery;
import com.jubotech.framework.common.ResultInfo;

import tk.mybatis.mapper.entity.Example;

@Service
@Transactional // 支持事务
public class MessageTagService {

	@Resource
	private MessageTagDao messageTagDao;

	public List<MessageTag> query(MessageTagQuery query) {
		  
		Example example = new Example(MessageTag.class);
		Example.Criteria criteria = example.createCriteria();
		criteria.andEqualTo("cid", query.getCid());
		if(!StringUtils.isEmpty(query.getType())){
			 criteria.andEqualTo("type", query.getType());
		}
		if(!StringUtils.isEmpty(query.getType())){
			 criteria.andEqualTo("wechatid", query.getWechatid());
		}
		if(!StringUtils.isEmpty(query.getType())){
			 criteria.andEqualTo("friendwechatid", query.getFriendwechatid());
		}
		if(!StringUtils.isEmpty(query.getType())){
			 criteria.andEqualTo("msgserverid", query.getMsgserverid());
		}
		 
		return  messageTagDao.selectByExample(example);
		 
	}

 

	 
	public MessageTag getByid(Integer id) {
		MessageTag user = messageTagDao.selectByPrimaryKey(id);
		return user;
	}

	public ResultInfo insert(MessageTag info) {
		ResultInfo res = new ResultInfo();
		try {
			info.setCreateTime(new Date());
			messageTagDao.insert(info);
		} catch (Exception e) {
			return ResultInfo.fail("添加失败");
		}
		return res;
	}

	public ResultInfo update(MessageTag info) {
		ResultInfo res = new ResultInfo();
		try {
			info.setCreateTime(new Date());
			messageTagDao.updateByPrimaryKey(info);
		} catch (Exception e) {
			return ResultInfo.fail("修改失败");
		}
		return res;
	}

 
	 

}
