package com.jubotech.framework.netty.handler.websocket;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson.JSON;
import com.jubotech.business.web.domain.SysAutoSetting;
import com.jubotech.business.web.service.SysAutoSettingService;
import com.jubotech.framework.netty.common.Constant;
import com.jubotech.framework.netty.handler.JsonMessageHandler;
import com.jubotech.framework.netty.utils.MessageUtil;

import Im.Scrm.Ww.Proto.WTransport.EnumErrorCode;
import Im.Scrm.Ww.Proto.WTransport.TransportMessage;
import io.netty.channel.ChannelHandlerContext;
import lombok.extern.slf4j.Slf4j;

@Service
@Slf4j
public class AutoTaskUpdateWebsocketHandler  implements JsonMessageHandler{
	@Autowired
	private SysAutoSettingService  sysAutoSettingService;
	/** 
	 * 自动任务更新
	 * @author wechat:happybabby110
	 * @blog http://www.wlkankan.cn
	 */
	@Async
    public  void handleMsg(ChannelHandlerContext ctx ,TransportMessage vo, String contentJsonStr) {
        try {
        	log.debug(contentJsonStr);
        	SysAutoSetting  req =  JSON.parseObject(contentJsonStr,SysAutoSetting.class);
        	SysAutoSetting info= sysAutoSettingService.insert(req);
        	if(null != info){
        		String json = JSON.toJSONString(info);
        		MessageUtil.sendCustomJsonMsg(ctx, "AutoTaskUpdateResp", json);
        	}else{
        		MessageUtil.sendCustomJsonMsg(ctx, "AutoTaskUpdateResp", "fail");
        	}
        } catch (Exception e) {
            e.printStackTrace();
            MessageUtil.sendJsonErrMsg(ctx, EnumErrorCode.InvalidParam, Constant.ERROR_MSG_DECODFAIL);
        }
    }
    
}