package com.jubotech.framework.netty.handler.websocket;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson.JSON;
import com.jubotech.business.web.domain.AccountInfo;
import com.jubotech.business.web.domain.WxAccountInfo;
import com.jubotech.business.web.service.AccountService;
import com.jubotech.business.web.service.WxAccountService;
import com.jubotech.framework.netty.common.Constant;
import com.jubotech.framework.netty.handler.JsonMessageHandler;
import com.jubotech.framework.netty.utils.MessageUtil;

import Im.Scrm.Ww.Proto.WTransport.EnumErrorCode;
import Im.Scrm.Ww.Proto.WTransport.TransportMessage;
import io.netty.channel.ChannelHandlerContext;
import lombok.extern.slf4j.Slf4j;

@Service
@Slf4j
public class GetWeChatsReqWebsocketHandler  implements JsonMessageHandler{
	@Autowired
	private WxAccountService weChatAccountService;
	@Autowired
	private AccountService accountService;
	/** 
	 * 拉取当前企业微信号列表响应 
	 * @author wechat:happybabby110
	 * @blog http://www.wlkankan.cn
	 */
	@Async
    public  void handleMsg(ChannelHandlerContext ctx ,TransportMessage vo, String contentJsonStr) {
        try {
        	log.debug(contentJsonStr);
        	AccountInfo req = JSON.parseObject(contentJsonStr, AccountInfo.class);
        	//1、校验用户信息
        	if(null != req){
        		Integer id = req.getId();
        		AccountInfo  account = accountService.findAccountInfoByid(id);
        		if(null != account){
        			List<WxAccountInfo> list =	weChatAccountService.findWeChatAccountInfo(account.getCid(), account.getId());
 
    	    		String json = null ;
    	    		if(null != list && list.size()>0){
    	    		     json = JSON.toJSONString(list);
    	    		}
    	    		MessageUtil.sendCustomJsonMsg(ctx, "GetWeChatsResp", json);
        		}else{
        			MessageUtil.sendJsonErrMsg(ctx, EnumErrorCode.InvalidParam,Constant.ERROR_MSG_PARAMERROR);
        		}
        	} 
        } catch (Exception e) {
            e.printStackTrace();
            MessageUtil.sendJsonErrMsg(ctx, EnumErrorCode.InvalidParam, Constant.ERROR_MSG_DECODFAIL);
        }
    }
    
  
}