package com.jubotech.framework.netty.utils;

import com.google.protobuf.util.JsonFormat;
import com.jubotech.business.web.domain.TaskTimeInfo;
import com.jubotech.business.web.domain.TimeTaskDetails;
import com.jubotech.framework.proxy.ProxyUtil;

import Im.Scrm.Ww.Proto.WAddCustomerFromSearchTask.AddCustomerFromSearchTaskMessage;
import Im.Scrm.Ww.Proto.WPostSnsTask.PostSnsTaskMessage;
import Im.Scrm.Ww.Proto.WTalkToFriendTask.TalkToFriendTaskMessage;
import Im.Scrm.Ww.Proto.WTransport.EnumMsgType;
import io.netty.channel.ChannelHandlerContext;

public class JsonToProtoConverterUtil {

	static NettyConnectionUtil nettyConnectionUtil = ProxyUtil.getBean(NettyConnectionUtil.class);

	public static boolean sendProtoMsg(TaskTimeInfo task, TimeTaskDetails details) {
		if (task.getTasktype() == 1 || task.getTasktype() == 2 || task.getTasktype() == 3) {// 1、群发客户；2、群发联系人；3、群发群聊
			return talkToFriendTaskMessage(details);
		}
		if (task.getTasktype() == 4) {// 发圈
			return postSnsTaskMessageMessage(details);
		}
		if (task.getTasktype() == 5) {// 加好友
			return addCustomerFromSearchTaskMessage(details);
		}
		return false;
	}

	private static boolean postSnsTaskMessageMessage(TimeTaskDetails details) {
		try {
			PostSnsTaskMessage.Builder bd = PostSnsTaskMessage.newBuilder();
			JsonFormat.parser().merge(details.getJson_content(), bd);
			PostSnsTaskMessage req = bd.build();
			ChannelHandlerContext chx = nettyConnectionUtil
					.getClientChannelHandlerContextByUserId(String.valueOf(req.getWxId()));
			if (null != chx) {
				// 发给手机端
				MessageUtil.sendMsg(chx, EnumMsgType.PostSnsTask, null, null, req);
				return true;
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return false;
	}

	private static boolean addCustomerFromSearchTaskMessage(TimeTaskDetails details) {
		try {
			AddCustomerFromSearchTaskMessage.Builder bd = AddCustomerFromSearchTaskMessage.newBuilder();
			JsonFormat.parser().merge(details.getJson_content(), bd);
			AddCustomerFromSearchTaskMessage req = bd.build();
			ChannelHandlerContext chx = nettyConnectionUtil
					.getClientChannelHandlerContextByUserId(String.valueOf(req.getWxId()));
			if (null != chx) {
				// 发给手机端
				MessageUtil.sendMsg(chx, EnumMsgType.AddCustomerFromSearchTask, null, null, req);
				return true;
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return false;
	}

	private static boolean talkToFriendTaskMessage(TimeTaskDetails details) {
		try {
			String constr = details.getJson_content();
			boolean flag = false;
			String[] strs = constr.split("&&");
			if (null != strs && strs.length > 0) {
				for (int i = 0; i < strs.length; i++) {
					TalkToFriendTaskMessage.Builder bd = TalkToFriendTaskMessage.newBuilder();
					JsonFormat.parser().merge(strs[i], bd);
					TalkToFriendTaskMessage req = bd.build();
					ChannelHandlerContext chx = nettyConnectionUtil
							.getClientChannelHandlerContextByUserId(String.valueOf(req.getWxId()));
					if (null != chx) {
						// 发给手机端
						MessageUtil.sendMsg(chx, EnumMsgType.TalkToFriendTask, null, null, req);
						flag = true;
					}
				}
			}

			return flag;
		} catch (Exception e) {
			e.printStackTrace();
		}
		return false;
	}

}
